# SIPEndPoint::ConnectionlessMessageInfo Struct Reference

`#include <sipep.h>`

Collaboration diagram for SIPEndPoint::ConnectionlessMessageInfo:

[legend]

## Public Types

| NotHandled
| SendOK
| MethodNotAllowed
| ResponseSent
enum | { NotHandled, SendOK, MethodNotAllowed, ResponseSent }

## Public Member Functions

| ConnectionlessMessageInfo (SIP_PDU &pdu)

## Data Fields

SIP_PDU & | m_pdu
OpalTransport & | m_transport
enum SIPEndPoint::ConnectionlessMessageInfo:: { ... } | m_status

## Member Enumeration Documentation

anonymous enum

Enumerator:

  NotHandled |
  SendOK |
  MethodNotAllowed |
  ResponseSent |

## Constructor & Destructor Documentation

SIPEndPoint::ConnectionlessMessageInfo::ConnectionlessMessageInfo | ( | SIP_PDU & | pdu | ) | `[inline]`

## Field Documentation

SIP_PDU& SIPEndPoint::ConnectionlessMessageInfo::m_pdu

enum { ... } SIPEndPoint::ConnectionlessMessageInfo::m_status

OpalTransport& SIPEndPoint::ConnectionlessMessageInfo::m_transport

The documentation for this struct was generated from the following file:

- sipep.h